6.0.0-git
2019-03-24

[#8521] Dynamic Menu Elements should also be event-driven.
Summary Dynamic Menu Elements should also be event-driven.
Queue Horde Groupware Webmail Edition
Queue Version 1.2
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester jasonb (at) dante (dot) com
Created 2009-08-22 (3501 days ago)
Due
Updated 2009-08-24 (3499 days ago)
Assigned
Resolved 2009-08-23 (3500 days ago)
Milestone
Patch No

History
2009-08-24 15:18:33 jasonb (at) dante (dot) com Comment #5 Reply to this comment
Posting my results here for others with the same question.  (Posts to 
the mailing list go unanswered, and the documentation itself is less 
than ideal.)



After some experimentation, this wasn't at all what I wanted.  DIMP

doesn't seem to be accesible from the Horde portal, and if I manually

go to DIMP I can't access any of the other groupware applications -

like calendars or my address book.



I decided to simply edit the horde/prefs.php file and add an entry in

the $_prefs['menu_refresh_time'] = array( section of:



1 => _("Every second"),



This makes it keep up with everything else.  The only problem, now, is

that when new mail does arrive the portal gets refreshed but not the

Inbox folder or Web title itself.  But I can live with that.
2009-08-23 17:30:43 Jan Schneider Comment #4 Reply to this comment
If I understand this correctly, you mean to say that IMP does not
allow for this to be event-driven, and that I should use DIMP
instead, which is actually a different program in the suite.
Yes
Do I take it, then, that it's not possible to edit the existing IMP
code to do this on email reception and deletion?
No



Please ask questions on the mailing list, this is not a support forum.
2009-08-23 13:49:42 jasonb (at) dante (dot) com Comment #3 Reply to this comment
If I understand this correctly, you mean to say that IMP does not 
allow for this to be event-driven, and that I should use DIMP instead, 
which is actually a different program in the suite.



Do I take it, then, that it's not possible to edit the existing IMP 
code to do this on email reception and deletion?
2009-08-23 12:46:44 Jan Schneider Comment #2
State ⇒ Rejected
Reply to this comment
Use the dynamic interface.
2009-08-22 21:16:21 jasonb (at) dante (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Dynamic Menu Elements should also be event-driven.
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
My apologies if this is something that's already been discussed - I 
did a search but couldn't find anything on this specifically.  (It may 
also be something that's in Horde Groupware 1.2.3 - I'm using Gentoo 
and 1.2 is the latest version.)



I'm not sure I understand why the Dynamic Menu Elements are not 
refreshed when mail is received / deleted as well as on a set schedule.



I currently have the value set to 30 seconds to be as responsive as 
possible.  But if I have Imp open, and I receive an email, the portal 
itself may take up to 30 seconds to alter itself accordingly.  The 
same is true if I delete an email.



This doesn't follow the behaviour of either the count to the right of 
the Inbox folder itself, nor of the title of the Web page.  Both of 
those seem to be completely event-driven - so I'm not sure why, when 
those change, they do not manually issue a dynamic menu element refresh.



If this is something that shouldn't be implemented, I would still 
appreciate an explanation - as well as, hopefully, a code snippet that 
I could add to my personal installation so that I can get this working 
for me.



Thank you.

Saved Queries